# Class SpaceGroup.ParamCheck

java.lang.Object
org.jmol.symmetry.SpaceGroup.ParamCheck

Enclosing class:
  `SpaceGroup`

protected static class SpaceGroup.ParamCheck extends Object

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ParamCheck(float[] params, boolean allowSame, boolean checkC)`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`checkNew(float[] params, float[] newParams)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParamCheck

protected ParamCheck(float[] params, boolean allowSame, boolean checkC)

## Method Details

### checkNew

protected boolean checkNew(float[] params, float[] newParams)